Subject: Summary: MP2 opt

From: "temper" <[email-masked]>
Date: Tue, 26 Feb 2002 13:35:15 +0200

Thanks to all, for yours comments.

My question  was:

I've been trying to do a geometry optimization using MP2/6-311++(d,p) (210 basis functions)
 with GAUSSIAN 98W A.11 but I can't.
WHY?(I have an ATHLON 1.6+GHz with 512 MB memory and 30+ GB hard disk).
The operating system is WINDOWS 2000.
I defined memory and hard disk:

%m=180MB
-------------------------------------------------
#p mp2/6-311++(d,p) opt scf=direct maxdisk=7000MB
-------------------------------------------------
The error from the output is shown below:

(Enter C:\G98W\l906.exe)
Frozen-core derivative calculation, NFC= 10 NFV= 0.
FulOut=F Deriv=T AODrv=T
MMem= 3 MDisk= 18 MDiskD= 18
W3Min= 1270080 MinDsk= 1759100 NBas6D= 216
NBas2D= 23697 NTT= 23436 LenExt= 21464976
MDV= 23464976 MDiskM= 1380 NBas2p= 23300
Disk-based method using ON**2 memory for 18 occupieds at a time.
Estimated scratch disk usage= 333638376 words.
IMap= 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20
IMap= 21 22 23 24 25 26 27 28
Actual scratch disk usage= 333205784 words.
JobTyp=1 Pass 1: I= 11 to 28.
writwa

Can anyone give me an advice? Thanks in advance.

All the answers are follow, and thanks again:

*****

As far as I know, Windows whatsoever is a 32bit operating system (still
some 16 bit stuff around?). Therefore, the size of a single file is limited
to ca. 2 GByte. Beyond that, you have to split your files. This procedure
is described in the handbook. Or have a look at the gaussian website at
www.gaussian.com, "Tech info".

Regards
Wolfgang Roth

*****

G98W can only handle scratch files up to 2 GB, although it can use more than one. From your output, it seems that the MP2 calculation needs about 2.5 GB. What you have to do is to split the .rwf file into several (here two) portion (<2GB). See %rwf directive in the G98 help, for example: %rwf=c:\1.rwf,1.9GB,c:\2.rwf,1.9GB, .... You get the idea?

Hope this helps,

        Rainer Koch.

PS: If in doubt, search the CCL archive for more information, this topic is discussed about every two months or so...

*****

the file system of W 20000 does not allow to write large single file u should
separate the .rwf file
Just insert the line %rwf=c:\1\1,2000mb,c:\2\2,2000mb,c:\3\3,2000mb,c:\4\4,2000mb,c:\5\5,2000mb
in the beginning of the input.
u should first create the required paths c:\1, c:\2 etc

Panaghiotis Karamanis

*****

G98W is a 32 bit application and as such is limited to 2GB 
pre file.  To exceed this you can specify the RWF as a compound
file 

%rwf=a,245mw,b,245mw,c,245mw

up to a maximum of 8 files.  Then the value for MaxDisk should
be set to the sum of these files, MaxDisk=735MW in my example.

   This will give you the best chance of completing this.

Cust.  Service Doug

*****

I suspect that the job is failing because the scratch file (*.rwf) is exceeding 2GB.  Remember, Gaussian98 can use up to 16GB of h-drive space but Win2000 can only use 2GB files.  Try this:

%rwf=a,240MW,b,240MW,c,240MW,d,240MW,
%nosave
%m=180MB
#p mp2/6-311++(d,p) opt scf=direct maxdisk=7000MB

Good luck,

Phil Matz

*****

You ran out of space in your rw file.  Windows rw files can only be 2GB.  You need about 3GB.

Using the options specified in the G98W manual, you can create multiple rw files.  Use that to make 2, 2GB rw files and the job should get past your present error OK.

Jim Kress

*****

Dear Vasilios,
Your problem looks identical to one which has been asked
and answered many times on the CCL.  You need to break
up your rwf file into Gaussian-sized chunks.  Rather than
tell you the answer, I'll tell you how to find the  answer,
which could have saved you a posting in the first place.
Think of this when future problems arise:  Go to the CCL
web page and search the archives for keyword "writwa",
which is the tell-tale part of your error message.  You
will see there is a simple solution.
David Anick MD PhD
[email-masked]

*****

it needs more disk space. Increase your maxdisk (check the DEfault.ROute, too). I dont know about g98W, but in linux you have to assign diferent file names to use as schratch (eg. %rwf=a,200mw,b,200mw,c,200mw,d,200mw )

take care,

Guilherme

Dinamica Sonora

*****

Hi Vasilios.

some operating systems have a filesize limit of 2GB.  Try the following:
a) MaxDisk=2040MB
or
b) splitting the RWF file into several pieces <2GB

e.g.

%RWF=/scr/a,2040MB,/scr/b,2040MB,/scr/c,2040MB ...

good luck.

 Juan

Juan Pablo Senosiain

*****

Your disk usage is about 1/3 gigawords, or about 2.33 GB.  Although this is
well within the size of your hard disk, it's above the per-file limit of 2GB
that some operating systems have, including Microsoft Windows.
 
There is a work-around.  Put the following line under your memory
specification:
%rwf=r1,240mw,r2,240mw,r3,240mw,r4,-1
This will create files of 240 megawords (1960 MB), each of which is below
the 2GB limit, with the names r1.rwf, r2.rwf, r3.rwf, and r4.rwf.  When
r1.rwf fills up Gaussian will move to r2.rwf and so on.  
 
Hope this helps.
--David Shobe
Sud-Chemie Inc.
phone (502) 634-7409
fax     (502) 634-7724
email  [email-masked]

Don't bother flaming me: I'm behind a firewall.

*****

Dear Vasilios! 
Try to use the PC GAMESS!

Best regards,
Alex Granovsky

*****

Dear Vasilios:

It seems to be a problem with the scratch disk space. Namely, some versions
of Gaussian (G98W included) are not able to handle the files larger than 2GB
(due to the wrong compiling options). To overcome this you should supply
some additional input cards, specifying the locations and sizes of these
scratch files. See, please, the beginning of the sample input file:

%rwf=F:\a,2GB,F:\b,2GB,F:\c,2GB,F:\d,2GB,F:\e,2GB,F:\f,2GB,F:\g,2GB,F:\h,2GB
%nosave
%chk=fn13mp3_trans.chk
%mem=1400MB

#N QCISD /6-31+G(d) SCF=(MAXCYCLE=900) geom=check guess=read
# POP=REG GFINPUT IOP(6/7=3) pop=minimal scf=direct

fn13

0,1

In the above example a,b,c,d,e,f,g,h are the file names, 2GB each. The
length of this record is limited, as I remember to 76 (or 80) characters.
Until to revision A.7 there is no possibility to specify any additional %rwf
cards, thus to me the scratch disk space is limited to 8X2GB=16GB.

Another thing is that MP2 jobs are very sensitive to the main memory amount,
thus if you have 500MB of main memory, it's better to set this memory card
about 400MB. Never put it 450MB or more, due to the extensive swapping
resulting in a very low perfomance.

I hope this will help.

Andrus Metsala

*****

Dear Vasilios I. Teberekidis

The file size for G98 on a 32 bit OS is limited to 8 pieces
of about 2Gb size to give totally about 16 Gb.

  insert the following line as link0 line in your input
file:

%rwf=/path/1,1900mb,/path/2,1900mb,/path/3,1900mb,/path/4,1900mb,/path/4,1900mb,/path/5,1900mb,/path/6,1900mb,/path/7,1900mb,path/8,-1

/path/ is the path to a scratch directory - such as /scr/

the rwf file will be split into 1900 mb pieces with the
names 1.rwf, 2.rwf .....

good luck
Hans-Ullrich Siehl
 
*****
 
Hi,
The writwa at the end of the output mentions that you have run out 
of scratch disk space. You may try one of two things: (1) split the 
scratch file into 3-5 partitions, or (2) optimise the geometry at a 
lower or DFT level, and perform a single point MP2 calculation.

Cheers,
Balakrishnan
Balakrishnan Viswanathan
Department of Chemistry
Dalhousie University
Halifax, Nova Scotia
Canada B3H 4J3
(902) 494-7021
[email-masked]

That's all.

Postgraduate (Ph.D) Student
Vasilios I. Teberekidis
Laboratory of Applied Quantum Chemistry 
Aristotle University of Thessaloniki (Greece)
Tel.:(+30 31) 99 78 20
        +30937 66 18 18
E-mail: [email-masked]
www: http://users.auth.gr/temper